curl -L -X DELETE https://api.turso.tech/v1/organizations/{organizationSlug}/members/{username} \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const member = await turso.organizations.removeMember("mycompany", "iku");
{
"member": "<unknown>"
}{
"error": "user [username] is not a member of org [organizationSlug]"
}Members
Remove Member
Remove a user from the organization by username.
DELETE
/
v1
/
organizations
/
{organizationSlug}
/
members
/
{username}
curl -L -X DELETE https://api.turso.tech/v1/organizations/{organizationSlug}/members/{username} \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const member = await turso.organizations.removeMember("mycompany", "iku");
{
"member": "<unknown>"
}{
"error": "user [username] is not a member of org [organizationSlug]"
}curl -L -X DELETE https://api.turso.tech/v1/organizations/{organizationSlug}/members/{username} \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const member = await turso.organizations.removeMember("mycompany", "iku");
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the organization or user account.
The username of a Turso user or organization member.
Response
Successful response
Was this page helpful?